Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum UIPanel.Properties

    java.lang.Object
      java.lang.Enum<UIPanel.Properties>
          org.richfaces.component.UIPanel.Properties

All Implemented Interfaces:
  Serializable, Comparable<UIPanel.Properties>

Enclosing class:
  UIPanel

    protected static enum UIPanel.Properties

extends Enum<UIPanel.Properties>

Enum Constant Summary
`bodyClass`
`header`
`headerClass`
`onclick`
`ondblclick`
`onkeydown`
`onkeypress`
`onkeyup`
`onmousedown`
`onmousemove`
`onmouseout`
`onmouseover`
`onmouseup`
`style`
`styleClass`
`title`

Method Summary
`static UIPanel.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UIPanel.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### bodyClass

    public static final UIPanel.Properties bodyClass

### header

    public static final UIPanel.Properties header

### headerClass

    public static final UIPanel.Properties headerClass

### onclick

    public static final UIPanel.Properties onclick

### ondblclick

    public static final UIPanel.Properties ondblclick

### onkeydown

    public static final UIPanel.Properties onkeydown

### onkeypress

    public static final UIPanel.Properties onkeypress

### onkeyup

    public static final UIPanel.Properties onkeyup

### onmousedown

    public static final UIPanel.Properties onmousedown

### onmousemove

    public static final UIPanel.Properties onmousemove

### onmouseout

    public static final UIPanel.Properties onmouseout

### onmouseover

    public static final UIPanel.Properties onmouseover

### onmouseup

    public static final UIPanel.Properties onmouseup

### style

    public static final UIPanel.Properties style

### styleClass

    public static final UIPanel.Properties styleClass

### title

    public static final UIPanel.Properties title

Method Detail

### values

    public static UIPanel.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UIPanel.Properties c : UIPanel.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UIPanel.Properties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.